Bug 997164 - rpc.idmapd: nss_getpwnam: name '#' does not map into domain
rpc.idmapd: nss_getpwnam: name '#' does not map into domain
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils-lib (Show other bugs)
6.4
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 15:51 EDT by Orion Poplawski
Modified: 2015-01-26 12:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-01 17:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-08-14 15:51:40 EDT
Description of problem:

rpc.idmapd seems to be getting uids on the nfs4.nametois/channel.  Whenever it gets a request like that it outputs a message like:

Aug 14 12:10:43 alexandria rpc.idmapd[19237]: nss_getpwnam: name '612' does not map into domain 'cora.nwra.com'

These *may* be triggered by the following types of requests:

Network File System, Ops(3): PUTFH SETATTR GETATTR
    [Program Version: 4]
    [V4 Procedure: COMP (1)]
    Tag: <EMPTY>
        length: 0
        contents: <EMPTY>
    minorversion: 0
    Operations (count: 3)
        Opcode: PUTFH (22)
            filehandle
                length: 28
                [hash (CRC-32): 0xcdbd24f8]
                decode type as: unknown
                filehandle: 010006018355CA85FB1E02DF00000000000000000A00682B...
        Opcode: SETATTR (34)
            stateid
                seqid: 0x00000000
                Data: 000000000000000000000000
            obj_attributes
                attrmask
                    recc_attr: FATTR4_OWNER (36)
                        fattr4_owner: 612
                            length: 3
                            contents: 612
                            fill bytes: opaque data
                    recc_attr: FATTR4_OWNER_GROUP (37)
                        fattr4_owner_group: 1001
                            length: 4
                            contents: 1001
            attr_vals: <DATA>
                length: 16
                contents: <DATA>
        Opcode: GETATTR (9)
            GETATTR4args
                attr_request
                    bitmap[0] = 0x0010011a
                        [5 attributes requested]
                        mand_attr: FATTR4_TYPE (1)
                        mand_attr: FATTR4_CHANGE (3)
                        mand_attr: FATTR4_SIZE (4)
                        mand_attr: FATTR4_FSID (8)
                        recc_attr: FATTR4_FILEID (20)
                    bitmap[1] = 0x0030a23a
                        [9 attributes requested]
                        recc_attr: FATTR4_MODE (33)
                        recc_attr: FATTR4_NUMLINKS (35)
                        recc_attr: FATTR4_OWNER (36)
                        recc_attr: FATTR4_OWNER_GROUP (37)
                        recc_attr: FATTR4_RAWDEV (41)
                        recc_attr: FATTR4_SPACE_USED (45)
                        recc_attr: FATTR4_TIME_ACCESS (47)
                        recc_attr: FATTR4_TIME_METADATA (52)
                        recc_attr: FATTR4_TIME_MODIFY (53)

Which I've seen from both an EL6 client and a Fedora 18 client.  

This may be from this change: http://comments.gmane.org/gmane.linux.nfs/46028 

It would be nice to not pollute the log with these messages.  Perhaps avoid logging if the name is numeric?  Avoid calling nss_getpwnam() if numeric?
Comment 1 Sebastian 2013-09-13 16:06:19 EDT
Same here.

##### NFS server #####

nfs-utils-1.2.3-36

Sep  3 08:25:28 snode1 rpc.idmapd[1382]: nss_getpwnam: name '0' does not map into domain 'domain.com'
Sep  3 08:25:29 snode1 rpc.idmapd[1382]: nss_getpwnam: name '500' does not map into domain 'domain.com'

/etc/idmapd.conf

[General]
Domain = domain.com

[Mapping]
Nobody-User = nobody
Nobody-Group = nobody

[Translation]
Method = nsswitch

/etc/sysconfig/nfs

MOUNTD_NFS_V2="no"
MOUNTD_NFS_V3="no"
...
RPCNFSDARGS="-N 2 -N 3"

##### NFS client #####


/etc/fstab

server:/     /data  nfs4    defaults,hard,intr,timeo=15,_netdev,noatime,nodiratime,nosuid    0 0

Note You need to log in before you can comment on or make changes to this bug.